# Remove whitespace from the start and end of the string
sub trimWS($) {
    my $string = shift;
    $string =~ s/^\s+//;
    $string =~ s/\s+$//;
    return $string;
}

# Remove any single or double quotes from the given string
# It replaces the quotes with a space.
sub removeQuotes {
	my $inStr = $_[0];
	$inStr =~ s/\'/ /g;
	$inStr =~ s/\"/ /g;
	
	return $inStr;	
}

# Reads the config values from the specified file and returns them as name value pairs in a hash table.
# The first parameter should be the file name containing the config information.
sub readConfigFile {

    my $fileName = $_[0];
    open (CONFIG_FILE, "$fileName") || die "readConfigValues(): Unable to open file $fileName.\n";

    my %configTable;

    #print "readConfigValues(): Parsing config file $fileName.\n";

    while (<CONFIG_FILE>) {

        my $currLine = $_;
        if ($currLine =~ /^\s*\#/) {
            # Comment - ignore
            next;
        }
        if (isBlankLine ($currLine)) {
            next;
        }
        
        my $attrib, my $val;
        if ($currLine =~ /.+=.+/) {
            ($attrib, $val) = split (/=/, $currLine);
            $configTable{trimWS($attrib)} = trimWS($val);
        }
    }
    
    close(CONFIG_FILE);
    
    # This is the return value
    %configTable;
}

# This is needed so that the last line of this file returns a true value
1;

# If the specified lines is blank, returns 1. Else returns 0.
sub isBlankLine () {
    my $tmpLine = shift (@_);
    if ($tmpLine =~ /^\s*$/) {
        return 1;
    } else {
	return 0;
    }
}


